\name{WhatMyTeacherWants}
\alias{WhatMyTeacherWants}
\title{
What My Teacher Wants
}
\description{
This function calculates standard statistics for a numerical variable.
}
\usage{
WhatMyTeacherWants(x)
}
\arguments{
  \item{x}{a numeric vector.
}
}
\value{
\item{mean}{arithmetic mean (if missing values exist in \code{x}, they are
omitted)}
\item{median}{median (if missing values exist in \code{x}, they are omitted)}
\item{min}{minimum of all the values present in \code{x} (if missing values
exist in x, they are omitted)}
\item{max}{maximum of all the values present in \code{x} (if missing values
exist in x, they are omitted)}
\item{range}{difference between \code{max} and \code{min}}
\item{sd}{standard deviation (if missing values exist in \code{x}, they are
omitted)}
\item{kurtosis}{kurtosis coefficient  (if missing values exist in \code{x}, they
are omitted)}
\item{skewness}{skewness coefficient  (if missing values exist in \code{x}, they
are omitted)}
\item{variation}{coefficient of variation (if missing values exist in \code{x},
they are omitted)}
\item{Q1}{first quartile  (if missing values exist in \code{x}, they
are omitted)}
\item{Q3}{third quartile  (if missing values exist in \code{x}, they
are omitted)}
\item{gini}{Gini coefficient (if missing values exist in \code{x}, they
are omitted)}
}
\details{
\itemize{
	\item here, kurtosis coefficient is equal to
\if{latex}{\eqn{\frac{\mu_4}{\sigma^4}-3}}
\if{html}{\out{&mu;<sub>4</sub>/&sigma;<sup>4</sup>-3}}
\if{text}{mu_4/sigma^4 - 3} where \if{latex}{\eqn{\mu_4}}
\if{html}{\out{&mu;<sub>4</sub>}}
\if{text}{mu_4} is the 4th central moment and  \if{latex}{\eqn{\sigma}}
\if{html}{\out{&sigma;}}
\if{text}{sigma} is the standard deviation.
	\item here, skewness coefficient is equal to
\if{latex}{\eqn{\frac{\mu_3}{\sigma^3}}}
\if{html}{\out{&mu;<sub>3</sub>/&sigma;<sup>3</sup>}}
\if{text}{mu_3/sigma^3} where \if{latex}{\eqn{\mu_3}}
\if{html}{\out{&mu;<sub>3</sub>}}
\if{text}{mu_3} is the 3rd central moment and  \if{latex}{\eqn{\sigma}}
\if{html}{\out{&sigma;}}
\if{text}{sigma} is the standard deviation.
}
}
\references{
Web page: \url{http://www.nathalievilla.org/spip.php?article48}
}
\author{
Nathalie Villa-Vialaneix <nathalie@nathalievilla.org>
}
\note{
Note that the function gives results as long as the input vector is numeric.
Depending on the meaning of the values in the input vector, the outputs might
be plain stupid. It is the user's responsability to interpret the results of
this function properly...
}
\seealso{
\code{\link{calculateGUI}}
}
\examples{
data(students)
## Example on a real numeric variable
## Gini index is not relevant in this example
WhatMyTeacherWants(students$averageMathGrade)
## An example of what's plain stupid to do
WhatMyTeacherWants(as.numeric(students$zip))
}
\keyword{univar}
