\name{students}
\alias{students}
\docType{data}
\title{
Students survey
}
\description{
This data come from a survey made each year by NV2 <nathalie@nathalievilla.org>
at the ``IUT de Perpignan, Dpt STID, Carcassonne (France)''. They are collected
on first year students and contain general information such as age and height.
They are used as an illustrative example for the first semester class on
descriptive statistics.
}
\usage{data(students)}
\format{
  A data frame with 35 observations on the following 21 variables.
  \describe{
    \item{\code{year}}{a numeric vector indicating which year the observation
has been collected}
    \item{\code{age}}{the student's age (numeric)}
    \item{\code{bornInFr}}{a factor with levels \code{Oui}/\code{Non}
indicating if the student is (\code{Oui}) or is not born in France}
    \item{\code{zip}}{the student's ZIP code}
    \item{\code{gender}}{the student's gender: a factor with levels
\code{Feminin} (female) and \code{Masculin} (male)}
    \item{\code{siblings}}{the number of the student (numeric)}
    \item{\code{height}}{the student's height (cm)}
    \item{\code{feetSize}}{the student's feet size (French type size)}
    \item{\code{eyesColor}}{the student's eye color; a factor with levels
\code{Bleu} (blue), \code{Marron} (brown) and \code{Vert} (green)}
    \item{\code{mothersEyesColor}}{the student's mother's eye color; a factor
with levels \code{Bleu} (blue), \code{Marron} (brown) and \code{Vert} (green)}
    \item{\code{carColor}}{the color of the car in which the student has last
been (character vector, open answer)}
    \item{\code{dptCode}}{the code of the French "departement" in which the
student has last been}
    \item{\code{placeToVisit}}{the place that that the student would like to
visit (character vector, open answer)}
    \item{\code{InterestedInFootbal}}{how much the student is interested in
soccer; a factor with levels \code{Beaucoup} (a lot), \code{Un peu} (a
little) and \code{Pas du tout} (not at all)}
    \item{\code{interestedInRugby}}{how much the student is interested in
rubgy; a factor with levels \code{Beaucoup} (a lot), \code{Un peu} (a little)
and \code{Pas du tout} (not at all)}
		\item{\code{bacType}}{the student's major for his "baccalaureat" (French
A-level); a factor with levels \code{ES} (economics), \code{STI} (engineering)
or \code{S} (sciences)}
    \item{\code{bacHonors}}{the student's baccalaureat honors; a factor with
levels \code{B} (high honors), \code{AB} (honors) and \code{P} (no honors)}
    \item{\code{fatherJob}}{the student's father's job; a factor with levels
\code{Agriculteur exploitant} (farmer), \code{Artisan, commercant, profession
liberale} (shopkeeper), \code{Cadre, profession intellectuelle
superieure} (executive), \code{Employe} (domestic employee),
\code{Ouvrier} (worker), \code{Profession intermediaire} (office employee),
\code{Retraite} (retired) and \code{Autres} (other)}
    \item{\code{averageMathGrade}}{average Grade in mathematics during the
previous year (numeric; French grade is a number between 0 and 20 where 20 is
the best)}
    \item{\code{bacMathGrade}}{Grade in mathematics at the A-level exam
(numeric; French grade is a number between 0 and 20 where 20 is
the best)}
    \item{\code{averageSportGrade}}{average Grade in sport during the
previous year (numeric; French grade is a number between 0 and 20 where 20 is
the best)}
  }
}
\details{
Some of the variables make no sense outside France. Translation is given as an
explanation attempt and is thus very approximative.
}
\references{
Web page (author's class
on descriptive
statistics): \url{https://www.nathalievilla.org/spip.php?article48}
}
\examples{
data(students)
summary(students)
}
\keyword{datasets}
